## r-cran-apcluster 1.4.8

=== DESCRIPTION ===
Package: apcluster
Type: Package
Title: Affinity Propagation Clustering
Version: 1.4.8
Date: 2019-08-20
Depends: R (>= 3.0.0)
Imports: Rcpp (>= 0.11.1), methods, Matrix, stats, graphics, grDevices
Suggests: Biostrings, kebabs (>= 1.5.4), knitr
Author: Ulrich Bodenhofer, Johannes Palme, Chrats Melkonian, Andreas Kothmeier,
	Nikola Kostic
Maintainer: Ulrich Bodenhofer <bodenhofer@bioinf.jku.at>
Description: Implements Affinity Propagation clustering introduced by Frey and
	Dueck (2007) <DOI:10.1126/science.1136800>. The algorithms are largely
        analogous to the 'Matlab' code published by Frey and Dueck.
        The package further provides leveraged affinity propagation and an
        algorithm for exemplar-based agglomerative clustering that can also be
        used to join clusters obtained from affinity propagation. Various
        plotting functions are available for analyzing clustering results.
License: GPL (>= 2)
Collate: AllClasses.R AllGenerics.R access-methods.R coerce-methods.R
        show-methods.R labels-methods.R length-methods.R revDend.R
        heatmap-methods.R plot-methods.R cutree-methods.R
        sort-methods.R aggExCluster-methods.R apcluster-methods.R
        apclusterL-methods.R apclusterK-methods.R apclusterDemo.R
        preferenceRange-methods.R similarity.R simpleDist.R
        conversions.R
URL: http://www.bioinf.jku.at/software/apcluster/
        https://github.com/UBod/apcluster
VignetteBuilder: knitr
LinkingTo: Rcpp
LazyLoad: yes
Repository: CRAN
NeedsCompilation: yes
Packaged: 2019-08-20 21:53:22 UTC; ulrich
Date/Publication: 2019-08-21 07:40:14 UTC

## r-cran-apcluster 1.4.7

=== debian/changelog ===
r-cran-apcluster (1.4.7-1) unstable; urgency=medium

  * Initial release (closes: #922634)

 -- Steffen Moeller <moeller@debian.org>  Mon, 18 Feb 2019 14:47:51 +0100

=== debian/control ===
Source: r-cran-apcluster
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-rcpp (>= 0.11.1),
               r-cran-matrix,
# Vignette
               r-cran-knitr
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
Homepage: https://cran.r-project.org/package=apcluster

Package: r-cran-apcluster
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Affinity Propagation Clustering
 Implements Affinity Propagation clustering introduced by Frey and
 Dueck (2007) <DOI:10.1126/science.1136800>. The algorithms are largely
 analogous to the 'Matlab' code published by Frey and Dueck.
 The package further provides leveraged affinity propagation and an
 algorithm for exemplar-based agglomerative clustering that can also be
 used to join clusters obtained from affinity propagation. Various
 plotting functions are available for analyzing clustering results.

## r-cran-apcluster 1.4.8

=== debian/changelog ===
r-cran-apcluster (1.4.8-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:12 +0100

r-cran-apcluster (1.4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:43:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-rcpp (>= 0.11.1),
-               r-cran-matrix,
-# Vignette
-               r-cran-knitr
-Standards-Version: 4.3.0
+               r-cran-rcpp,
+               r-cran-matrix
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster

## r-cran-apcluster 1.4.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: apcluster
 Type: Package
 Title: Affinity Propagation Clustering
-Version: 1.4.8
-Date: 2019-08-20
-Depends: R (>= 3.0.0)
+Version: 1.4.9
+Date: 2022-01-14
+Depends: R (>= 3.3.0)
 Imports: Rcpp (>= 0.11.1), methods, Matrix, stats, graphics, grDevices
-Suggests: Biostrings, kebabs (>= 1.5.4), knitr
+Suggests: knitr
 Author: Ulrich Bodenhofer, Johannes Palme, Chrats Melkonian, Andreas Kothmeier,
 	Nikola Kostic
 Maintainer: Ulrich Bodenhofer <bodenhofer@bioinf.jku.at>
@@ -31,5 +31,5 @@
 LazyLoad: yes
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2019-08-20 21:53:22 UTC; ulrich
-Date/Publication: 2019-08-21 07:40:14 UTC
+Packaged: 2022-01-14 12:58:35 UTC; ulrich
+Date/Publication: 2022-01-14 17:12:42 UTC

=== debian/changelog ===
r-cran-apcluster (1.4.9-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 11:51:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster
+Rules-Requires-Root: no
 
 Package: r-cran-apcluster
 Architecture: any

## r-cran-apcluster 1.4.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: apcluster
 Type: Package
 Title: Affinity Propagation Clustering
-Version: 1.4.9
-Date: 2022-01-14
+Version: 1.4.10
+Date: 2022-05-31
 Depends: R (>= 3.3.0)
 Imports: Rcpp (>= 0.11.1), methods, Matrix, stats, graphics, grDevices
 Suggests: knitr
@@ -31,5 +31,5 @@
 LazyLoad: yes
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2022-01-14 12:58:35 UTC; ulrich
-Date/Publication: 2022-01-14 17:12:42 UTC
+Packaged: 2022-05-31 12:42:25 UTC; ulrich
+Date/Publication: 2022-05-31 16:10:09 UTC

=== debian/changelog ===
r-cran-apcluster (1.4.10-1) unstable; urgency=medium

  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 02 Jun 2022 20:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster

## r-cran-apcluster 1.4.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Package: apcluster
 Type: Package
 Title: Affinity Propagation Clustering
-Version: 1.4.10
-Date: 2022-05-31
+Version: 1.4.11
+Date: 2023-09-19
 Depends: R (>= 3.3.0)
 Imports: Rcpp (>= 0.11.1), methods, Matrix, stats, graphics, grDevices
 Suggests: knitr
-Author: Ulrich Bodenhofer, Johannes Palme, Chrats Melkonian, Andreas Kothmeier,
-	Nikola Kostic
+Author: Ulrich Bodenhofer [aut, cre],
+        Johannes Palme [ctb],
+	Chrats Melkonian [ctb],
+	Andreas Kothmeier [aut],
+	Nikola Kostic [ctb]
 Maintainer: Ulrich Bodenhofer <bodenhofer@bioinf.jku.at>
 Description: Implements Affinity Propagation clustering introduced by Frey and
 	Dueck (2007) <DOI:10.1126/science.1136800>. The algorithms are largely
@@ -31,5 +34,5 @@
 LazyLoad: yes
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2022-05-31 12:42:25 UTC; ulrich
-Date/Publication: 2022-05-31 16:10:09 UTC
+Packaged: 2023-09-19 11:03:51 UTC; ulrich
+Date/Publication: 2023-09-19 18:00:02 UTC

=== debian/changelog ===
r-cran-apcluster (1.4.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Sep 2023 14:51:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/apcluster_([-\d.]*)\.tar\.gz

## r-cran-apcluster 1.4.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: apcluster
 Type: Package
 Title: Affinity Propagation Clustering
-Version: 1.4.11
-Date: 2023-09-19
+Version: 1.4.13
+Date: 2024-04-26
 Depends: R (>= 3.3.0)
 Imports: Rcpp (>= 0.11.1), methods, Matrix, stats, graphics, grDevices
 Suggests: knitr
@@ -11,7 +11,7 @@
 	Chrats Melkonian [ctb],
 	Andreas Kothmeier [aut],
 	Nikola Kostic [ctb]
-Maintainer: Ulrich Bodenhofer <bodenhofer@bioinf.jku.at>
+Maintainer: Ulrich Bodenhofer <ulrich@bodenhofer.com>
 Description: Implements Affinity Propagation clustering introduced by Frey and
 	Dueck (2007) <DOI:10.1126/science.1136800>. The algorithms are largely
         analogous to the 'Matlab' code published by Frey and Dueck.
@@ -27,12 +27,11 @@
         apclusterL-methods.R apclusterK-methods.R apclusterDemo.R
         preferenceRange-methods.R similarity.R simpleDist.R
         conversions.R
-URL: http://www.bioinf.jku.at/software/apcluster/
-        https://github.com/UBod/apcluster
+URL: https://github.com/UBod/apcluster
 VignetteBuilder: knitr
 LinkingTo: Rcpp
 LazyLoad: yes
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2023-09-19 11:03:51 UTC; ulrich
-Date/Publication: 2023-09-19 18:00:02 UTC
+Packaged: 2024-04-26 10:24:50 UTC; ulrich
+Date/Publication: 2024-04-26 12:20:02 UTC

=== debian/changelog ===
r-cran-apcluster (1.4.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Oct 2024 08:57:21 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-rcpp,
                r-cran-matrix
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster

## r-cran-apcluster 1.4.14

=== debian/changelog ===
r-cran-apcluster (1.4.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 13:55:35 +0900

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-cran-matrix
-Standards-Version: 4.7.0
+               r-cran-matrix,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-apcluster
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-apcluster.git
 Homepage: https://cran.r-project.org/package=apcluster
